Skip to content

Save the auto-pause thresholds, throttles and sync interval

PUT
/api/v1/workspaces/{workspace}/settings/providers
curl --request PUT \
--url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/settings/providers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "bounce": 1, "complaint": 1, "confirmOver": 1, "mailboxComplaint": 1, "pauseScope": "route", "providerError": 1, "suppressionSync": "15m", "throttles": { "additionalProperty": 1 } }'

Permission: providers:manage (sensitive)

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

Media typeapplication/json
object
bounce
required
number format: double
>= 0.1 <= 50
complaint
required
number format: double
>= 0.01 <= 5
confirmOver
required
integer format: int64
>= 1 <= 100000000
mailboxComplaint
required
number format: double
>= 0.01 <= 5
pauseScope
required
string
Allowed values: route campaign
providerError
required
number format: double
>= 0.5 <= 100
suppressionSync
required
string
Allowed values: 15m 1h
throttles
required
object
key
additional properties
number format: double

OK

Media typeapplication/json
object
canManage
required
boolean
defaults
required
object
bounce
required

Auto-pause at this hard-bounce rate, percent

number format: double
complaint
required

Auto-pause at this complaint rate, percent

number format: double
confirmOver
required

Sends to more recipients need the count typed to confirm

integer format: int64
mailboxComplaint
required

Auto-pause one mailbox provider at this complaint rate, percent

number format: double
pauseScope
required
string
Allowed values: route campaign
providerError
required

Treat a provider as failing at this API error rate over 3 minutes, percent

number format: double
secretsRotatedAt
string format: date-time
suppressionSync
required
string
Allowed values: 15m 1h
throttles
required

Messages per second per mailbox provider (gmail, outlook, yahoo, icloud); 0 = no limit

object
key
additional properties
number format: double
helpers
required
Array<string>
monthStart
required
string format: date-time
providers
required
Array<object>
object
connectedAt
required
string format: date-time
connectedVia
required
string
cost
required
object
basis
required
string
Allowed values: metered plan self_hosted
monthly
required
number format: double
toDate
required
number format: double
id
required
string
identity
required
string
identityLabel
required
string
name
required
string
status
required
string
Allowed values: healthy degraded down sandbox warming_up paused
statusLabel
required
string
statusTone
required
string
Allowed values: ok info warn bad neutral
streams
required
string

Example

{
"defaults": {
"pauseScope": "route",
"suppressionSync": "15m"
},
"providers": [
{
"cost": {
"basis": "metered"
},
"status": "healthy",
"statusTone": "ok"
}
]
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}